VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::DynamicID Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::DynamicID:

## Avaliable Methods
public method | set_type ()
public method | get_id ()
public method | set_id ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::DynamicID` class represents an identifier for a resource of an arbitrary type.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::DynamicID::get_id | ( |  | ) |

Gets the value of 'id' property.

Return values

  id | - The current value of the field. The identifier for a resource whose type is specified by :attr:`Com::Vmware::Vapi::Std::DynamicID.type` . ID#

Code:
click to view
# Number of lines of code in get_id: 4
sub get_id {
my ($self, %args) = @_;
return $self->{'id'};
}

public method Com::Vmware::Vapi::Std::DynamicID::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. The type of resource being identified (for example `com.acme.Person` ).

Interfaces* that contain methods for creating and deleting resources typically contain a constant specifying the resource type for the resources being created and deleted. The API metamodel metadata interfaces include a interface that allows retrieving all the known resource types.

String#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Std::DynamicID::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::DynamicID structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{id} = $args{'id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::DynamicID');
$self->set_binding_name('name' => 'com.vmware.vapi.std.dynamic_ID');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'id', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Std::DynamicID::set_id | ( |  | ) |

Sets the given value for 'id' property.

Parameters

  id | - New value for the field. The identifier for a resource whose type is specified by :attr:`Com::Vmware::Vapi::Std::DynamicID.type` .

Code:
click to view
# Number of lines of code in set_id: 5
sub set_id {
my ($self, %args) = @_;
$self->{'id'} = $args{'id'};
return;
}

public method Com::Vmware::Vapi::Std::DynamicID::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. The type of resource being identified (for example `com.acme.Person` ).

Interfaces* that contain methods for creating and deleting resources typically contain a constant specifying the resource type for the resources being created and deleted. The API metamodel metadata interfaces include a interface that allows retrieving all the known resource types.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/DynamicID.pm